1. Image generation
PixVerse Platform Docs
  • C1 released!
  • V6 released!
  • Learn about PixVerse Platform
    • Introduce to PixVerse Platform
    • Quick Start
    • PixVerse-api-llm.txt
  • Getting started
    • How does the API work?
    • How to get API key?
    • How to check account balance?
    • How to subscribe API plans?
    • How to use Text-to-video
    • How to use Image-to-video
    • How to use Effects?
    • How to use Image template?
    • How to use Transition(First-last frame Feature)
    • How to use Speech(Lip sync)?
    • Lip sync TTS speaker list
    • How to use Extend?
    • How to use Sound effects?
    • How to use Fusion(Reference to video)?
    • How to use Restyle?
    • How to use Multi-transition?
    • How to use Swap?
    • How to use Mimic?
    • How to use Modify?
    • How to get video generation status?
    • How to use Webhook
  • API Reference
    • API Parameter Description
    • Video Generation
      • Text-to-Video generation
      • Image-to-Video generation
      • Template video generation
      • Transition(First-last frame) generation
      • Speech(Lipsync) generation
      • Get Speech(Lipsync) tts list
      • Fusion(reference to video) generation
      • Multi-transition video generation
      • Restyle video generation
      • Restyle effect list
      • Swap mask generation
      • Swap video generation
      • Sound effect generation
      • Extend generation
      • Get Video Generation Status
      • Mimic generation
      • Modify generation
    • Image generation
      • Image template generation
        POST
      • Get Image generation
        GET
    • Upload Image
      POST
    • Upload Video&audio
      POST
    • Get user credit balance
      GET
  • Trouble Shooting
    • Common errors and Solutions
    • Error codes
    • FAQ
  • Resources
    • Model & Pricing
    • Rate limit
    • Support
    • Change Logs
    • Term of Service
    • Privacy policy
  • PixVerse Tools
    • PixVerse MCP
  1. Image generation

Image template generation

POST
/openapi/v2/image/template/generate

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
curl --location --request POST 'https://app-api.pixverse.ai/openapi/v2/image/template/generate' \
--header 'Ai-Trace-Id: your-ai-trace-id' \
--header 'API-KEY: your-api-key' \
--header 'Content-Type: application/json' \
--data-raw '{

  "img_ids": [],
  "template_id": 377378608924544

}'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "image_id": 0,
        "credits": 30
    }
}
Previous
Modify generation
Next
Get Image generation